﻿<div class="panel-body">


<div class="col-md-12 col-xs-12">
    <div class="pull-right">

        <a class="btn btn-success" ng-click="SwitchquestionMode(true)">
            <i class="fa fa-plus"></i> اضف سؤال
        </a>
    </div>

</div>

<table class="table">
    <thead>
    <tr>
        <td>#</td>
        <th>
السؤال        </th>
        <th>
            الاجابة
        </th>     
    </tr>
    </thead>
    <tbody>
    <tr ng-repeat="item in model.questions track by $index">
        <td>{{$index+1}}</td>
        <td style="word-wrap: break-word">
            {{item.question | limitTo:100}}
        </td>
        <td style="word-wrap: break-word">
            {{item.answer | limitTo:100 }}
        </td>

        <td>
            <button class="btn btn-primary " ng-click="Editquestion($index)" title="تعديل">
                <i class="fa fa-edit"></i>
            </button>
            <button class="btn btn-danger " ng-click="openConfirmQuestion($index)" title="حذف">
                <i class="fa fa-trash"></i>
            </button>



        </td>

    </tr>

    <tr ng-if="questinsIsEmpty">
        <td colspan="8">
            <div class="search-result">
                <div class="member">
                    <div class="row">
                        <div class="col-xs-12 col-md-9">
                            <p>
                                لا يوجد اسئلة
                            </p>
                        </div>
                    </div>
                </div>
            </div>
        </td>
    </tr>
    </tbody>
</table>


<form name="FormQuestion.Question" ng-if="showquestionform">
    <div class="form-group">
        <div class="col-md-12 col-xs-12" ng-class="{ 'has-error': FormQuestion.Question.question.$touched && FormQuestion.Question.question.$invalid,
                                   'has-success': FormQuestion.Question.question.$touched && FormQuestion.Question.question.$valid}">
            <label class="control-label"> السؤال </label>
            <input type="text" class="form-control" 
                   ng-model="question.question" name="question" ng-maxlength="150"/>


            <div class="help-block" ng-messages="FormQuestion.Question.question.$error" ng-show="FormQuestion.Question.question.$touched">
                <div ng-messages-include="/App/Templates/messages.html"></div>
            </div>
        </div>
     
    </div>
<div class="form-group">
        <div class="col-md-12 col-xs-12" ng-class="{ 'has-error': FormQuestion.Question.answer.$touched && FormQuestion.Question.answer.$invalid,
                                   'has-success': FormQuestion.Question.answer.$touched && FormQuestion.Question.answer.$valid}">
            <label class="control-label"> الاجابة </label>
            <textarea type="text" class="form-control" 
                      ng-model="question.answer" name="answer" ng-maxlength="500"></textarea>


            <div class="help-block" ng-messages="FormQuestion.Question.answer.$error" ng-show="FormQuestion.Question.answer.$touched">
                <div ng-messages-include="/App/Templates/messages.html"></div>
            </div>
        </div>
     
    </div>
    <div class="form-group">



        <div class="col-md-12 col-xs-12">
            <div class="pull-right"  style="margin-top: 3em;">
                <button ng-if="addquestionMode" ng-disabled="FormQuestion.Question.$invalid" class="btn btn-success" ng-click="Addquestion(question)" type="button">
                    <i class="fa fa-floppy-o"></i> اضف سؤال
                </button>
                
                <button class="btn btn-danger" ng-click="clearquestionform()" type="button">
                    <i class="fa fa-close"></i> الغاء
                </button>

            </div>
         
        </div>
    </div>
</form>
    
    
    

</div>






